#pragma once

#include <C2/gl/GlslShader.h>
#include <C2/gl/GlTextureObject.h>

#include "ShaderInterface.h"

#include "../SceneMain.h"



//! ライティングなしの固定色シェーダ
class ConstantShader : public ShaderInterface
{
public:
	ConstantShader(ShaderContext* context);

	const char* GetShaderName(void)
	{
		return "ConstantShader";
	}

	bool Initialize(const std::string& shader_libdir);

	virtual void BeginShader(void);
	virtual void EndShader(void);

private:
	lib_gl::GlslProgram m_Shader;
};
